﻿using System;

namespace PennyRoundingSample {
    class App {
        private const string Format = "{0,10:###,##0.00}";
        static void Main(string[] args) {
            for (decimal i = 1.00M; i <= 1.10M; i += 0.01M) {
                WriteRounding(i);
            }
            Console.ReadKey();
        }

        private static void WriteRounding(decimal value) {
            Console.WriteLine(string.Format(Format, value) + " ==> " + string.Format(Format, RoundPenny(value)));
        }


        private static Decimal RoundPenny(Decimal value) {
            var pennies = Math.Round(value * 100, 0);
            var nickels = Math.Truncate((pennies + 2) / 5);
            var roundedPennies = nickels * 5;
            return roundedPennies / 100;
        }

    }
}
